class GameData < Sinatra::Base
  get '/project' do
    projects = Project.reverse(:updated_at).limit(10).all()

    erb :'project/index', locals: {
      title: 'List of Projects',
      projects: projects
    }
  end

  get '/project/add' do
    hardware = Hardware.all()
    benchmarks = Benchmark.all()

    erb :'project/add', locals: {
      title: 'Add Project',
      hardware: hardware,
      benchmarks: benchmarks,
    }
  end
  post '/project/add' do
    project = Project.create(
      name: params[:project_name],
      description: params[:project_description]
    )

    params[:project_hardware].each do |h|
      hardware = Hardware.where(:id => h).first()
      project.add_hardware(hardware)
    end

    params[:project_benchmarks].each do |b|
      benchmark = Benchmark.where(:id => b).first()
      project.add_benchmark(benchmark)
    end

    redirect '/project'
  end

  get '/project/:project_id' do
    project = Project.where(:id => params[:project_id]).first()

    erb :'project/view', locals: {
      title: project.name,
      project: project,
    }
  end
end
